All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::linalg::ilu0_precond< viennacl::compressed_matrix< NumericT, AlignmentV > > Class Template Reference

ILU0 preconditioner class, can be supplied to solve()-routines. More...

`#include <ilu0.hpp>`

## Public Member Functions

| ilu0_precond (MatrixType const &mat, ilu0_tag const &tag)
void | apply (viennacl::vector< NumericT > &vec) const
vcl_size_t | levels () const

## Detailed Description

### template<typename NumericT, unsigned int AlignmentV>
class viennacl::linalg::ilu0_precond< viennacl::compressed_matrix< NumericT, AlignmentV > >

ILU0 preconditioner class, can be supplied to solve()-routines.

Specialization for compressed_matrix

Definition at line 190 of file ilu0.hpp.

## Constructor & Destructor Documentation

template<typename NumericT , unsigned int AlignmentV>

viennacl::linalg::ilu0_precond< viennacl::compressed_matrix< NumericT, AlignmentV > >::ilu0_precond | ( | MatrixType const & | mat,
|  | ilu0_tag const & | tag
| ) |  |

inline

Definition at line 195 of file ilu0.hpp.

## Member Function Documentation

template<typename NumericT , unsigned int AlignmentV>

void viennacl::linalg::ilu0_precond< viennacl::compressed_matrix< NumericT, AlignmentV > >::apply | ( | viennacl::vector< NumericT > & | vec | ) | const

inline

Definition at line 205 of file ilu0.hpp.

template<typename NumericT , unsigned int AlignmentV>

vcl_size_t viennacl::linalg::ilu0_precond< viennacl::compressed_matrix< NumericT, AlignmentV > >::levels | ( |  | ) | const

inline

Definition at line 267 of file ilu0.hpp.

The documentation for this class was generated from the following file:

- viennacl/linalg/detail/ilu/ilu0.hpp